com.lowagie.rups.view.models

## Interface JTableAutoModelInterface

- All Known Implementing Classes:
    PagesTable, XRefTable

      public interface JTableAutoModelInterface

  Tables that contain the information necessary for creating their model should implement this interface, so that they can use the JTableAutoModel class as TableModel.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getColumnCount()`
    `java.lang.String` | `getColumnName(int columnIndex)`
    `int` | `getRowCount()`
    `java.lang.Object` | `getValueAt(int rowIndex, int columnIndex)`

- - ### Method Detail

    - #### getColumnCount

          int getColumnCount()

      Returns:
        int the number of columns
      See Also:
        `TableModel.getColumnCount()`

    - #### getRowCount

          int getRowCount()

      Returns:
        int the number of rows
      See Also:
        `TableModel.getRowCount()`

    - #### getColumnName

          java.lang.String getColumnName(int columnIndex)

      Parameters:
        `columnIndex` - a column number.
      Returns:
        the name of the column
      See Also:
        `AbstractTableModel.getColumnName(int)`

    - #### getValueAt

          java.lang.Object getValueAt(int rowIndex,
                                    int columnIndex)

      Parameters:
        `rowIndex` - int a row number
        `columnIndex` - int a column number
      Returns:
        Object an object corresponding with a cell in the table
      See Also:
        `TableModel.getValueAt(int, int)`